Bug 69082 - nice(3) does not return POSIX compliant return value
nice(3) does not return POSIX compliant return value
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: glibc (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
Depends On:
Blocks: 69077
  Show dependency treegraph
Reported: 2002-07-17 15:02 EDT by Matt Wilson
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-10-09 15:19:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matt Wilson 2002-07-17 15:02:38 EDT
nice(3) is supposed to return the new nice value.  nice(3) in Advanced Server
does not.
Comment 1 Jakub Jelinek 2002-07-18 04:32:17 EDT
Do we really want that fix for 2.1AS though? It was breaking VMWare, made bogus
errors in XFree86 logs etc.
Comment 2 Jakub Jelinek 2002-07-26 11:40:33 EDT
Fixed in glibc-2.2.4-27.1.
Comment 3 Matt Wilson 2002-12-13 23:26:17 EST
the LSB added language to allow both behaviors, so we can make nice() do the old
thing for AS 2.1.

Note You need to log in before you can comment on or make changes to this bug.